Name:           alsa-plugins
Version:        1.2.6
Release:        1
Summary:        Audio and MIDI function plugins
License:        GPLv2+ and LGPLv2+ and BSD
URL:            http://www.alsa-project.org/
Source0:        ftp://ftp.alsa-project.org/pub/plugins/%{name}-%{version}.tar.bz2

BuildRequires:  autoconf automake libtool alsa-lib-devel pulseaudio-libs-devel
BuildRequires:  libsamplerate-devel speex-devel speexdsp-devel dbus-devel
Requires:       alsa-utils pulseaudio speex speexdsp

Provides:       %{name}-oss %{name}-pulseaudio %{name}-samplerate %{name}-upmix
Provides:       %{name}-vdownmix %{name}-usbstream %{name}-arcamav %{name}-speex %{name}-maemo

%description
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI functionality
to the Linux operating system.

%prep
%autosetup -n %{name}-%{version}%{?prever} -p1

%build
autoreconf -vif
%configure --disable-static \
           --with-speex=lib \
           --enable-maemo-plugin \
           --enable-maemo-resource-manager
%make_build

%install
%make_install

mv %{buildroot}/etc/alsa/conf.d/99-pulseaudio-default.conf.example \
        %{buildroot}/etc/alsa/conf.d/99-pulseaudio-default.conf

%delete_la

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc COPYING COPYING.GPL doc/README-pcm-oss
%dir /etc/alsa/conf.d
%config(noreplace) /etc/alsa/conf.d/50-oss.conf
%config(noreplace) /etc/alsa/conf.d/50-pulseaudio.conf
%config(noreplace) /etc/alsa/conf.d/99-pulseaudio-default.conf
%config(noreplace) /etc/alsa/conf.d/10-samplerate.conf
%config(noreplace) /etc/alsa/conf.d/60-upmix.conf
%config(noreplace) /etc/alsa/conf.d/60-vdownmix.conf
%config(noreplace) /etc/alsa/conf.d/98-usb-stream.conf
%config(noreplace) /etc/alsa/conf.d/50-arcam-av-ctl.conf
%config(noreplace) /etc/alsa/conf.d/10-speexrate.conf
%config(noreplace) /etc/alsa/conf.d/60-speex.conf
%config(noreplace) /etc/alsa/conf.d/98-maemo.conf
%dir %{_datadir}/alsa/alsa.conf.d
%{_datadir}/alsa/alsa.conf.d/50-oss.conf
%{_datadir}/alsa/alsa.conf.d/50-pulseaudio.conf
%{_datadir}/alsa/alsa.conf.d/10-samplerate.conf
%{_datadir}/alsa/alsa.conf.d/60-upmix.conf
%{_datadir}/alsa/alsa.conf.d/60-vdownmix.conf
%{_datadir}/alsa/alsa.conf.d/98-usb-stream.conf
%{_datadir}/alsa/alsa.conf.d/50-arcam-av-ctl.conf
%{_datadir}/alsa/alsa.conf.d/10-speexrate.conf
%{_datadir}/alsa/alsa.conf.d/60-speex.conf
%{_datadir}/alsa/alsa.conf.d/98-maemo.conf
%dir %{_libdir}/alsa-lib
%{_libdir}/alsa-lib/libasound_module_ctl_oss.so
%{_libdir}/alsa-lib/libasound_module_pcm_oss.so
%{_libdir}/alsa-lib/libasound_module_pcm_pulse.so
%{_libdir}/alsa-lib/libasound_module_ctl_pulse.so
%{_libdir}/alsa-lib/libasound_module_conf_pulse.so
%{_libdir}/alsa-lib/libasound_module_rate_samplerate.so
%{_libdir}/alsa-lib/libasound_module_rate_samplerate_best.so
%{_libdir}/alsa-lib/libasound_module_rate_samplerate_linear.so
%{_libdir}/alsa-lib/libasound_module_rate_samplerate_medium.so
%{_libdir}/alsa-lib/libasound_module_rate_samplerate_order.so
%{_libdir}/alsa-lib/libasound_module_pcm_upmix.so
%{_libdir}/alsa-lib/libasound_module_pcm_vdownmix.so
%{_libdir}/alsa-lib/libasound_module_pcm_usb_stream.so
%{_libdir}/alsa-lib/libasound_module_ctl_arcam_av.so
%{_libdir}/alsa-lib/libasound_module_pcm_speex.so
%{_libdir}/alsa-lib/libasound_module_rate_speexrate.so
%{_libdir}/alsa-lib/libasound_module_rate_speexrate_best.so
%{_libdir}/alsa-lib/libasound_module_rate_speexrate_medium.so
%{_libdir}/alsa-lib/libasound_module_ctl_dsp_ctl.so
%{_libdir}/alsa-lib/libasound_module_pcm_alsa_dsp.so

%changelog
* Tue Jun 14 2022 SimpleUpdate Robot <tc@openeuler.org> - 1.2.6-1
- Upgrade to version 1.2.6

* Wed Nov 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.6-5
- Package init
